package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.ResourceLoader;
import cz.jzitnik.tui.Sprite;

public class OakDoor extends Sprite {
    public enum OakDoorState {
        TOP,
        BOTTOM,
        TOPCLOSED,
        BOTTOMCLOSED
    }

    public String getSprite() {
        return ResourceLoader.loadResource("oak_door/bottomclosed.ans");
    }

    public String getSprite(Enum e) {
        return ResourceLoader.loadResource(
                switch (e) {
                    case OakDoorState.TOP -> "oak_door/top.ans";
                    case OakDoorState.BOTTOM -> "oak_door/bottom.ans";
                    case OakDoorState.TOPCLOSED -> "oak_door/topclosed.ans";
                    case OakDoorState.BOTTOMCLOSED -> "oak_door/bottomclosed.ans";
                    default -> throw new IllegalStateException("Unexpected value: " + e);
                }
        );
    }
}
