package cz.jzitnik.tui.utils;

import cz.jzitnik.game.sprites.ui.Number;

public class Numbers {
    private static Number.NumberState getNumberState(int digit) {
        return switch (digit) {
            case 0 -> Number.NumberState.ZERO;
            case 1 -> Number.NumberState.ONE;
            case 2 -> Number.NumberState.TWO;
            case 3 -> Number.NumberState.THREE;
            case 4 -> Number.NumberState.FOUR;
            case 5 -> Number.NumberState.FIVE;
            case 6 -> Number.NumberState.SIX;
            case 7 -> Number.NumberState.SEVEN;
            case 8 -> Number.NumberState.EIGHT;
            case 9 -> Number.NumberState.NINE;
            default -> throw new IllegalArgumentException("Unexpected number: " + digit);
        };
    }

    public static String getNumberSprite(int number) {
        if (number == 1) {
            StringBuilder sprite = new StringBuilder();
            for (int i = 0; i < 25; i++) {
                sprite.append("\033[0m ".repeat(50));
                sprite.append("\n");
            }
            return sprite.toString();
        }

        Number nm = new Number();
        if (number <= 9) {
            Number.NumberState numberState = getNumberState(number);

            return Number.fixForHotbar(nm.getSprite(numberState), 1);
        }

        String numStr = Integer.toString(number); // Convert to string
        char firstChar = numStr.charAt(0); // Get first digit
        char secondChar = numStr.charAt(1); // Get second digit

        int firstDigit = Character.getNumericValue(firstChar);
        int secondDigit = Character.getNumericValue(secondChar);

        Number.NumberState numberState1 = getNumberState(firstDigit);
        Number.NumberState numberState2 = getNumberState(secondDigit);

        return SpriteCombiner.combineTwoSprites(Number.fixForHotbar(nm.getSprite(numberState1), 2), Number.fixForHotbar(nm.getSprite(numberState2), 1));
    }
}
